part of init;

Future<void> _createProjectStructure() async {
  _arFile.createSync(recursive: true);
  await _arFile.writeAsString(_arTemp);
  _enFile.createSync(recursive: true);
  await _enFile.writeAsString(_enTemp);
  _mainFile.createSync(recursive: true);
  await _mainFile.writeAsString(_mainTemp);
  await Chaotic.newScreen('splash');
  await _analysisOptionsFile.writeAsString(_analysisOptionsTemp);
  await _applicationFile.writeAsString(_applicationTemp);
}

Future<void> _initYaml() async {
  final yamlContent = await _yamlFile.readAsString();
  final newYamlContent = yamlContent.split('\n')
    ..removeWhere((line) => line.trim().startsWith('#'));

  await _yamlFile.writeAsString(newYamlContent.join('\n'));
  await _yamlFile.writeAsString(_assetsTemp, mode: FileMode.append);
}
